
Foreman - Bug #13517

Searching for smart class parameter override values in the API results into a 404

02/02/2016 06:43 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases: 1.10.1

Bugzilla link: 1385217 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6393

  

Description

A GET request to /api/smart_class_parameters/1/override_values/ works, but

/api/smart_class_parameters/1/override_values/?search=value%253Dtest2 results in a HTTP 404.

Related issues:

Related to Hammer CLI - Feature #13260: RFE : allowing hammer-cli to search/u... New

Has duplicate Foreman - Bug #17268: Searching smart_class_parameters override... Duplicate 11/08/2016

Associated revisions

Revision be41e7f7 - 01/15/2019 11:51 AM - Himanshu Prakash

Fixes #13517 - smart class parameter override values API result

History

#1 - 02/02/2016 07:00 AM - Dominic Cleal

This happens because the search parameter is applied to the top-level resource in the URL - i.e. the smart class parameters, not the override values.

#2 - 02/02/2016 08:40 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #13260: RFE : allowing hammer-cli to search/update sc-parameters added

#3 - 11/08/2016 07:12 AM - Ori Rabin

- Has duplicate Bug #17268: Searching smart_class_parameters override_values fails added

#4 - 11/08/2016 07:56 AM - Ori Rabin

- Bugzilla link set to 1385217

#5 - 01/09/2019 05:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6393 added

#6 - 01/15/2019 11:52 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- Fixed in Releases 1.22.0 added
